export function createPluginFactory(): Promise<PluginFactoryKeychain>;
export function __wbindgen_string_new(arg0: any, arg1: any): number;
export function __wbindgen_object_drop_ref(arg0: any): void;
export function __wbg_pluginfactorykeychain_new(arg0: any): number;
export function __wbindgen_json_serialize(arg0: any, arg1: any): void;
export function __wbindgen_cb_drop(arg0: any): boolean;
export function __wbg_call_346669c262382ad7(...args: any[]): any;
export function __wbg_new_b1d61b5687f5e73a(arg0: any, arg1: any): number;
export function __wbg_resolve_d23068002f584f22(arg0: any): number;
export function __wbg_then_2fcac196782070cc(arg0: any, arg1: any): number;
export function __wbg_new_693216e109162396(): number;
export function __wbg_stack_0ddaca5d1abfb52f(arg0: any, arg1: any): void;
export function __wbg_error_09919627ac0992f5(arg0: any, arg1: any): void;
export function __wbindgen_throw(arg0: any, arg1: any): never;
export function __wbindgen_closure_wrapper161(arg0: any, arg1: any, arg2: any): number;
/**
*/
export class PluginFactoryKeychain {
    static __wrap(ptr: any): any;
    __destroy_into_raw(): number | undefined;
    ptr: number | undefined;
    free(): void;
    /**
    * @param {any} options_raw
    * @returns {PluginKeychainMemoryWasm}
    */
    create(options_raw: any): PluginKeychainMemoryWasm;
}
/**
*/
export class PluginKeychainMemoryWasm {
    static __wrap(ptr: any): any;
    /**
    * @param {PluginKeychainMemoryWasmOptions} options
    */
    constructor(options: PluginKeychainMemoryWasmOptions);
    __destroy_into_raw(): number | undefined;
    ptr: number | undefined;
    free(): void;
    /**
    * @returns {string}
    */
    getPackageName(): string;
    /**
    * @returns {string}
    */
    getKeychainId(): string;
    /**
    * @returns {string}
    */
    getInstanceId(): string;
    /**
    * @returns {Promise<any>}
    */
    onPluginInit(): Promise<any>;
    /**
    * @param {string} key
    * @returns {Promise<any>}
    */
    get(key: string): Promise<any>;
    /**
    * @param {string} key
    * @param {string} value
    * @returns {Promise<any>}
    */
    set(key: string, value: string): Promise<any>;
    /**
    * @param {string} key
    * @returns {Promise<any>}
    */
    has(key: string): Promise<any>;
    /**
    * @param {string} key
    * @returns {Promise<any>}
    */
    delete(key: string): Promise<any>;
}
/**
*/
export class PluginKeychainMemoryWasmOptions {
    __destroy_into_raw(): number | undefined;
    ptr: number | undefined;
    free(): void;
    /**
    * @param {string} arg0
    */
    set instanceId(arg0: string);
    /**
    */
    get instanceId(): string;
    /**
    * @param {string} arg0
    */
    set keychainId(arg0: string);
    /**
    */
    get keychainId(): string;
}
declare let wasm: any;
export { wasm as __wasm };
