import { PluginFactoryKeychain } from "./plugin-factory-keychain";
import * as OpenApiJson from "../json/openapi.json";
import { IPluginFactoryOptions } from "@hyperledger/cactus-core-api";
export { OpenApiJson };
export * from "./generated/openapi/typescript-axios/index";
export { PluginKeychainMemoryWasm, IPluginKeychainMemoryWasmOptions, } from "./plugin-keychain-memory-wasm";
export { PluginFactoryKeychain } from "./plugin-factory-keychain";
export declare function createPluginFactory(pluginFactoryOptions: IPluginFactoryOptions): Promise<PluginFactoryKeychain>;
export * as wasm from "./generated/wasm-pack/cactus_plugin_keychain_memory_wasm";
